From:     Digestifier <Linux-Admin-Request@senator-bedfellow.mit.edu>
To:       Linux-Admin@senator-bedfellow.mit.edu
Reply-To: Linux-Admin@senator-bedfellow.mit.edu
Date:     Thu, 7 Oct 93 12:14:02 EDT
Subject:  Linux-Admin Digest #93

Linux-Admin Digest #93, Volume #1                 Thu, 7 Oct 93 12:14:02 EDT

Contents:
  MSDOS partition mount problems (James E Jurach Jr)
  0.99.12 why network unreachable? (Dan Resler)
  Automatic backup to tape (Daniel T. Schwager)
  Re: 3.5 boot floppies. Not really Re: [Not] enough SLS bashing anymore (Matt McLeod)
  Re: route = SIOADDRT:  Network is unreachable with linux99p13 (Joachim Schnitter)
  [Q] mounting a NFS-service from LinuX failed (Doerrsam)
  Re: Automatic backup to tape (Mark A. Horton)
  linux to linux SLIP (Alan Buckwalter - x5586)
  How can I print a postcript file? (guerther hirn)
  Re: Automatic backup to tape ("Brian E. Gallew")
  Re: 0.99.12 why network unreachable? (Felix Huber)
  Solution: Linux 0.99.13 unknown blk device (Gratien D'haese SE121)
  Re: CFC/CFI: XSysadmin (Michael Will)

----------------------------------------------------------------------------

From: muaddib@ccwf.cc.utexas.edu (James E Jurach Jr  )
Subject: MSDOS partition mount problems
Date: 6 Oct 1993 18:33:57 -0500


Hullo everyone...

I need the ability to copy MSDOS binary executables to and from my 
Linux partitions.  At our lab, we use a shared PC-NFS mounted directory,
and time and time again, I have to exit Linux to transfer the MSDOS 
executables from my MSDOS partitions to the nfs partition.  The effect
I see is that only a few bytes are transferred.

I have looked at the fstab manual page, and have found no list of 
options available for each of the mounts.

If anyone has any ideas, please tell me.  I sometimes get real busy and 
fall behind on keeping up with c.o.l.* so could you respond to my e-mail
address:  muaddib@ccwf.cc.utexas.edu

Thanks a million..
James


------------------------------

From: dresler@cabell.vcu.edu (Dan Resler)
Subject: 0.99.12 why network unreachable?
Date: Wed, 6 Oct 1993 19:16:02 GMT


Using kernel 0.99.12, autoprobe finds the correct ethernet board
(NE2000 clone-I/O 300-IRQ 15). However, after doing an 
`ifconfig eth0 $IPADDR netmask $NETMASK', *every* attempt to use
route to update gives me "SIOCADDRT: Network is unreachable".

I know my ethernet board plus addresses are correct because I can
use Novell's (ver 4) telnet (tnvt220) with no problems from MSDOS. 
Can anyone suggest what's wrong here? Thanks.

dan
-- 
Dan Resler                             
Dept. of Mathematical Sciences        email: dresler@cabell.vcu.edu
Virginia Commonwealth University
Richmond, Virginia, USA 23284-2014

------------------------------

From: danny@dragon.stgt.sub.org (Daniel T. Schwager)
Subject: Automatic backup to tape
Date: Tue, 5 Oct 1993 17:47:49 GMT

Hi all,

i'm looking for some procedure to backup the harddisks 
automatically to my DAT streamer. The following should be
done for me:

a) make a whole backup from all harddisks weekly
b) make a difference Backup daily ('difference' means
   to backup only the new or changed files related to the last
   WEEKLY backup, no incremetal backup)
c) email me a status of the backup
d) every backup should be create a directory-file of this backup.


The points above are only the things i like to do, but if you have got
other mechanisms, please feel free to post or email me you solutions.
Maybe there are some administrational backup-controlling tools ??

All solutions are welcome !!

regards from the rainy Stuttgart - Germany 

Danny
 
-- 
                        ,,,
                       (^ ^)               
+------------------oOO--(_)--OOo-----------------------+
|  ... Real programmers use cat >a.out ...     Danny   |

------------------------------

From: matt@krikkit1.apana.org.au (Matt McLeod)
Subject: Re: 3.5 boot floppies. Not really Re: [Not] enough SLS bashing anymore
Date: Mon, 4 Oct 1993 12:31:24 GMT

Alex Freed (freed@europa.orion.adobe.com) wrote:
: Bill C. Riemers writes:
:   3.  Standard 5.25HD/DS disks will normally still have a few bad sectors
:       when formated this way.  (The boot disk can't have any errors!)

: Again, I didn't test ALL  5.25" drives, but I never had bad sector this way.

Hm.  I'm quite sure that if I can format 360k disks to 800k without any
problems, then 1.2M disks should be able to cope with being formatted to
1.44...

-- 
                Matt McLeod     (matt@krikkit1.apana.org.au)
    Sysop, Krikkit One Public Access Unix, +61 49 423565 (11pm-7am AEST)
             "Hey Rocky!  Watch me pull a rabbit out of my hat!"

------------------------------

From: josch@pc.chemie.th-darmstadt.de (Joachim Schnitter)
Subject: Re: route = SIOADDRT:  Network is unreachable with linux99p13
Date: 7 Oct 1993 11:04:26 GMT

Mark Swanson (ag010@Freenet.carleton.ca) wrote:

: /etc/route add loopback    works fine with lin99p11, but gives the error in the subject with lin99p13.
: I re-compiled net-010, and routed with lin99p13 includes, but still won't work.

: What else do I have to do??  Is there newer versions of net-010? mine is Sept.93

: Also, my nntpd won't work.  Anyone have any config files I could look at?
: BTW, the error is read_groups: malloc 0 bytes: No such file or dir.  Though, I know all the config files are there.  Am I dreaming??? Help! :-)
: -- 
: Mark Swanson.    ag010@freenet.carleton.ca

Something I has gone wrong with the pl13  kernel. In /etc/networks the
loopback net has  to have the full  address of the loopback interface,
not just its network part. So replace your entry

        loopback 127    or      loopback 127.0.0.0

by

        loopback 127.0.0.1

like I did:

default                 0.0.0.0
loopback                127.0.0.1       loopback-net
th-darmstadt.de         130.83.0.0      thd
chemie.th-darmstadt.de  130.83.29.0     chemie

Hope this helps,

-Joachim
--
______________________________________________________________________
Joachim Schnitter                           Tel.: +49 (61 51) 16-53 97
Technische Hochschule Darmstadt             Fax : +49 (61 51) 16-42 98
Physikalische Chemie I
Petersenstr. 20
64287 Darmstadt
Germany                        E-Mail: josch@pc.chemie.th-darmstadt.de



------------------------------

From: hb15@uw70.rz.uni-karlsruhe.de (Doerrsam)
Subject: [Q] mounting a NFS-service from LinuX failed
Date: 7 Oct 1993 11:19:04 GMT
Reply-To: hb15@rz.uni-karlsruhe.de

Hello

I installed a NFS-Service on a DEC-station an had no problems to
mount it ifrom my PC under Linux. But after a crash on the client side (Linux)
I'm not longer be able to mount the service from my PC!
I get the message 
   mount: mount(ifk40:/ifknfs,/ifknfs) failed: Device or resource busy
This fails as well when I try to mount another directory I never used before, but is enabled from the server. 

Any clue?

Volker

===============================================================================
                                                 | Volker Doerrsam
                                                 | Institut fuer Foerdertechnik
                                                 | Abt. Materialfluss
                                                 | Tel.: +49 721/608-4428
                                                 | Fax : +49 721/758378
===============================================================================
                  E-mail: hb15@uw70.mach.uni-karlsruhe.de
===============================================================================

------------------------------

From: mahmha@crl.com (Mark A. Horton)
Subject: Re: Automatic backup to tape
Date: 7 Oct 1993 05:34:17 -0700

Daniel T. Schwager (danny@dragon.stgt.sub.org) wrote:
: Hi all,

: i'm looking for some procedure to backup the harddisks 
: automatically to my DAT streamer. The following should be
: done for me:

: a) make a whole backup from all harddisks weekly
: b) make a difference Backup daily ('difference' means
:    to backup only the new or changed files related to the last
:    WEEKLY backup, no incremetal backup)
: c) email me a status of the backup
: d) every backup should be create a directory-file of this backup.


: The points above are only the things i like to do, but if you have got
: other mechanisms, please feel free to post or email me you solutions.
: Maybe there are some administrational backup-controlling tools ??

: All solutions are welcome !!

: regards from the rainy Stuttgart - Germany 

: Danny
:  
: -- 
:                         ,,,
:                        (^ ^)               
: +------------------oOO--(_)--OOo-----------------------+
: |  ... Real programmers use cat >a.out ...     Danny   |

        This sounds like an excellent opportunity to learn to use PERL
        that comes with Linux!  Either that or you could simply read
        up on the options (many, I  know) to the find command and
        the doc on GNU tar and use its options to do exactly what you
        are asking for.... no huhu!
--
Mark A. Horton                          mah@ka4ybr.com (or here) 
P.O.Box 747 Decatur GA US 30031-0747      ICBM: 33 45 N / 084 16 W
+1.404.371.0291                         Cruise: 33 45 30 N / 084 16 50 W
   "We may note that, for the purposes of these experiments, the symbol 
                "=" has the meaning "may be confused with."  

------------------------------

From: alan@qsss01.gs.com (Alan Buckwalter - x5586)
Subject: linux to linux SLIP
Reply-To: alan@qsss01.gs.com
Date: Thu, 7 Oct 1993 12:38:18 GMT

I am wondering if ANYone has gotten SLIP to work between two Linux
boxes with a direct connect RS232-NULL modem cable ?

I have two 386 boxes, running Slackware 1.03.  I am trying to go between
COM1 on my notebook to COM 2 on my desktop.  I read the NET-2-FAQ and 
configured the devices as such:

        ifconfig sl0 138.8.207.93 pointopoint 138.8.207.94
        ifconfig sl1 138.8.207.94 pointopoint 138.8.207.93

in addition to a variety of netmask, broadcast and route combinations.
At best I got network unreachable when I tried to ping the other host, and
at worst, I got a kernel message about a bad page reference.

ifconfig shows the interfaces up and running and netstat -r shows correct
entries between the two hosts, but no data seems to fly.

ANY and ALL suggestions/input would be appreciated.

-Alan

---

      _/   Alan M Buckwalter  _/
   _/ _/    +1 212 902 5586   _/ _/
_/ _/ _/  alan@qsss01.eq.gs.com  _/ _/ _/


------------------------------

From: hirn@icp.imag.fr (guerther hirn)
Subject: How can I print a postcript file?
Date: 7 Oct 1993 13:05:10 GMT

Hi everybody,
I have a Inkjet printer Stylus 800 star and I need
to print postscript files. Does anybody know where
can I find a driver for this printer on Linux?
I'll really appreciate your help.

Guenther Hirn
hirn@icp.grenet.fr


------------------------------

From: "Brian E. Gallew" <geek+@CMU.EDU>
Subject: Re: Automatic backup to tape
Date: Thu,  7 Oct 1993 10:05:46 -0400

Here is a long /bin/sh script that I use for doing backups on my
production machines (DG/UX, DYNIX/ptx).  Yes, there is a *lot* of
missing detail here (like the contents of $CONFIG), but if you can't
divine the info yourself, send me e-mail, and I'll let you in on the
skinny.
======================= CUT HERE =======================
#!/bin/sh
# $Header: /ua/sso/psu_admin/General/Backup/RCS/Start_Backup,v 1.33 93/10/07 09:01:00 sso Exp $
#

. /usr/local/include/psu_admin.h
LOCKFILE="/tmp/`basename $0`.lock"

local_exit () {
        unlockfile $LOCKFILE
        test -n "$1" && exit $1
        exit 0
}

# First things first:  lock this script so no-one else can use it
lockfile $LOCKFILE $0
trap "log 'Escape attempt in $0';local_exit 1" 1 2 15


# a list of variables to export.  Add more here.
export ADMINISTRATORS DEBUG DEBUG_FILE DEVICE DEV_PREFIX DTG TAR_FLAGS
export F1 FS IGNORE INTERACTIVE LDATE LEVEL LOG_DIR EXPECTED
export LOG_DIR MT_CMD NDEVICE S1 TARGET_HOST

# The host where the tapes are being written
TARGET_HOST=`cat $CONFIG/backup_host`

TAPE_DIR="$CONFIG/${TARGET_HOST}_tapes"
# Mail list for administrators
ADMINISTRATORS=`cat $CONFIG/mail_people`

INTERACTIVE=1
IGNORE=0

DEVICE=`cat $TAPE_DIR/default_tape`
DEV_PREFIX=`dirname $DEVICE`

FS=`cat $CONFIG/backup_partitions`

DTG=`date "+%y%m%d:%H:%M"`
debug "dtg is $DTG"

day=`date "+%a"`

# the next command sets a variable called INC.  We are doing it this way so 
# that all backup scripts will not have to be modified when the formula is 
# changed.
. $CONFIG/formula
debug "INC is $INC"

LEVEL=`cat $CONFIG/backup_level/$day`
debug "level is $LEVEL"

EXPECTED=`cat $CONFIG/expected_tape_count`

LOG_DIR=$BACKUPS/inc$INC
mkdirhier "$LOG_DIR"

# if TTY is "not a tty" then this must be a cron job!
TTY=`tty`
debug "tty is $TTY"
if [ "$TTY" = "not a tty" ] ; then
        INTERACTIVE=0
fi

if [ $INTERACTIVE -eq 1 ] ; then

# Pick host to dump to
        confirm y "Dump to $TARGET_HOST"
        if [ $? -eq 0 ] ; then
                list=""
                for d in $CONFIG/*_tapes ; do
                        list="$list`basename $d | awk -F"_" '{print $1}'`\n"
                done
                debug list is $list
                TARGET_HOST=""
                while ( test -z "$TARGET_HOST" ) ; do
                        echo "Choose a host to dump to"
                        display_menu "$list"
                        get_choice "Which host" 1 $?
                        count=$?
                        debug count is $count
                        TARGET_HOST=`echo "$list" | head -$count | tail -1`
                        debug chose host $TARGET_HOST
                done
                TAPE_DIR="$CONFIG/${TARGET_HOST}_tapes"
                DEVICE=`cat $TAPE_DIR/default_tape`
                DEV_PREFIX=`dirname $DEVICE`
        fi

# Pick dump device
        confirm y "Use $DEVICE for dump device"
        if [ $? -eq 0 ] ; then
                list=`$LS $TAPE_DIR | grep -v default`
                dev=""
                echo
                for d in $TAPE_DIR/* ; do
                        debug testing $d
                        test -f $d/description || continue
                        echo "${DEV_PREFIX}/`basename $d`       \c"
                        cat $d/description
                done
                echo
                while ( test -z "$dev" ) ; do
                        echo "Choose a device to dump to"
                        display_menu "$list"
                        get_choice "Which device" 1 $?
                        count=$?
                        debug count is $count
                        dev=`echo "$list" | head -$count | tail -1`
                        debug chose device $dev
                done
                DEVICE=${DEV_PREFIX}/$dev
        fi

# Pick filesystems to dump
        confirm y "The current filesystem list is:\n$FS\nDump these filesystems"
        if [ $? -eq 0 ] ; then
                prompt "Enter new filesystem list"
                test $? -eq 0 || FS="$INFO"
        fi
        debug "dumping $FS"

# Pick dump level
        confirm y "Dump level $LEVEL"
        if [ $? -eq 0 ] ; then
                get_choice "Enter new dump level" 0 9 $LEVEL
                LEVEL=$?
        fi

# Decide where to put logfiles
        confirm y "Put logfiles in usual place"
        if [ $? -eq 0 ] ; then
                prompt "Enter COMPLETE path for log files"
                test $? -eq 0 || LOG_DIR=$INFO
        else
                confirm y "Use Inc dir $INC"
                if [ $? -eq 0 ] ; then
                        get_choice "Enter INC number" 1 $MAXINC $INC
                        INC=$?
                fi
                LOG_DIR=$BACKUPS/inc$INC
        fi
        debug "logdir is $LOG_DIR"

# Decide whether to enforce date checking
        confirm n "Ignore date on tape"
        test $? -eq 1 && IGNORE=0

        confirm y "Continue and do backup"
        test $? -eq 0 && local_exit 1
fi

debug "\"$TARGET_HOST\""
if [ "$TARGET_HOST" != "$HOST" ] ; then
        STATUS="rsh $TARGET_HOST -n /usr/bin/mt -f ${DEVICE}n status"
        REWIND="rsh $TARGET_HOST -n /usr/bin/mt -f ${DEVICE} rewind"
        MT_CMD="rsh $TARGET_HOST -n /usr/bin/mt -f ${DEVICE}"
        DEVICE="$TARGET_HOST:${DEVICE}"
else
        STATUS="/usr/bin/mt -f ${DEVICE}n status"
        REWIND="/usr/bin/mt -f ${DEVICE} rewind"
        MT_CMD="/usr/bin/mt -f ${DEVICE}"
fi
NDEVICE=${DEVICE}n

(
tape_wait() {
        while ($STATUS
                        RES=$?
                        debug result was $RES
                        test $RES -ne 0 -a $RES -ne 85 -a $RES -ne 10) ; do
                debug waiting for tape drive 
                sleep 5
        done
}
mkdirhier $LOG_DIR
cd $LOG_DIR
\rm -f $LOG_DIR/* 2> /dev/null
if [ $LEVEL -gt 0 ] ; then
        l1=`expr $LEVEL - 1`
        cp $BACKUPS/level$l1/* .
fi
LDATE=`date`
DEBUG=3
DEBUG_FILE="$LOG_DIR/messages"
debug "`date`"

# Make sure we start at the beginning of the tape.
$REWIND

debug "Checking tape date..."
debug "Today's Julian date is $JULIAN_DAY"
t1=`$TAR -t -f $DEVICE 2>/dev/null | head -1`
debug "t1 is $t1"
td=`echo $t1 | awk -F"_" '{print $1}'`
debug "Tape last used on julian date $td"
test "$td" -eq 0 && td=`expr $JULIAN_DAY \+ 1`
test "$JULIAN_DAY" -lt "$td" && td=`expr "$td" \- 366`
td=`expr $JULIAN_DAY \- "$td"`
ed=`expr $MAXINC \- 1`

if [ "$ed" -gt "$td" ] ; then
        debug "Only $td days separate these tapes!"
        if [ $IGNORE -eq 0 ] ; then
                debug "Aborting backup"
                $REWIND
                elm -s"Tried to overwrite recent tape" $ADMINISTRATORS << _NEW_
$0 just tried to overwrite a tape with the Julian date of $td.  Today's
Julian date is $JULIAN_DAY.  Naturally, $0 quit and wants you to fix the 
problem.  Have a nice day!  :-)
_NEW_
                local_exit 1
        fi
fi

TAR_FLAGS="-c -f $NDEVICE -M -l -p -S -v -F $CONFIG/eject --volno-file=$LOG_DIR/volno -b 32"

tape_wait
$REWIND

for SOURCE in $FS; do
        SNAME=`basename $SOURCE`
        test "$SNAME" = "/" && SNAME=root
        \rm -f $SOURCE/8mm_* 2> /dev/null
        touch "$SOURCE/8mm_${DTG}_${LEVEL}_${SNAME}" 2> /dev/null
        label="--label=${JULIAN_DAY}_Level${LEVEL}_dump_of_${SNAME}_at_${DTG}"
        dumpdates=$LOG_DIR/d_$SNAME
        TARCMD="$TAR $TAR_FLAGS $label -g $dumpdates -C $SOURCE ."
        debug "$TARCMD"
        $TARCMD 2>&1 > $LOG_DIR/r_$SNAME
        return_val=$?
        if [ $return_val -ne 0 ];then
                case $return_val in
                1)      ERR="tar says: Invalid Arguments"
                        ;;
                2)      ERR="tar says: Invalid Filename"
                        ;;
                3)      ERR="tar says: Bad Archive"
                        ;;
                4)      ERR="tar says: Unexpected system error"
                        ;;
                esac
                export ERR
                (
                echo "$HOST: `date`"
                echo;echo "$TAR error: returned $return_val"
                echo;echo "while doing $SNAME"
                echo;echo $ERR
                ) > /tmp/backup.mail
                mailx $ADMINISTRATORS < /tmp/backup.mail
                rm -rf /tmp/backup.mail
                debug "Backup error on $SOURCE with errno $return_val"
        fi
done
eject_tape
v=`cat $LOG_DIR/volno`
test "$v" -gt "$EXPECTED" && elm -s"Too many tapes" $ADMINISTRATORS << _EOF_
The backup used more tapes (total $v) than expected ($EXPECTED).

Please do whatever is necessary to make sure that there are enough tapes 
to take care of future backups.
_EOF_

while (test $LEVEL -lt 9) ; do
        cp $LOG_DIR/d_* $BACKUPS/level$LEVEL
        LEVEL=`expr $LEVEL \+ 1`
done 

debug "`date`"
unlockfile $LOCKFILE
test -f core && \rm core && debug "deleted a corefile"
) &

======================= CUT HERE =======================

                                  -Brian

=========================================================================
| "Are they dead?"                                                      |
| "Does it matter?"                                                     |
|   - Pugsley and Wednesday in "The Addams Family."                     |
=========================================================================

------------------------------

From: huber@felicitas.irs.uni-stuttgart.de (Felix Huber)
Subject: Re: 0.99.12 why network unreachable?
Date: 7 Oct 1993 14:47:33 GMT

In article <1993Oct6.191602.14436@cabell.vcu.edu> dresler@cabell.vcu.edu (Dan Resler) writes:
>
>Using kernel 0.99.12, autoprobe finds the correct ethernet board
>(NE2000 clone-I/O 300-IRQ 15). However, after doing an 
>`ifconfig eth0 $IPADDR netmask $NETMASK', *every* attempt to use
>route to update gives me "SIOCADDRT: Network is unreachable".
>
>I know my ethernet board plus addresses are correct because I can
>use Novell's (ver 4) telnet (tnvt220) with no problems from MSDOS. 
>Can anyone suggest what's wrong here? Thanks.
>
>dan
>-- 
>Dan Resler                             
>Dept. of Mathematical Sciences        email: dresler@cabell.vcu.edu
>Virginia Commonwealth University
>Richmond, Virginia, USA 23284-2014


I had this problem too. This is an extract from my /dev/rc.net:

if [ "$IPADDR" != "" ]; then
        if [ "" != "$ROUTER" ]; then
                ROUTERPARM="gw $ROUTER";
        fi
        ifconfig $IPDEV $IPADDR broadcast 129.69.52.255 up netmask 255.255.255.0
        route add $NET $IPDEV
        route add default $ROUTERPARM
fi

The netmask and broadcast has to be adjusted for your needs, of course. 



------------------------------

From: gdha@se.alcbel.be (Gratien D'haese SE121)
Subject: Solution: Linux 0.99.13 unknown blk device
Date: 7 Oct 93 14:31:08 GMT
Reply-To: gdha@se.alcbel.be


In article <2047@se.alcbel.be>, gdha@se.alcbel.be (Gratien D'haese SE121) writes:
||>     I'm trying to rebuild my new kernel Linux 0.99.13 for support of the
|>3C509 ethernet card. But I keep stumpling over an "unknown blk devive" error.
|>make depend returns with the following:
|>
Not really, but at least I've had the same problem (among others) and solved
it by 'rm -rf /usr/src/linux'. Reinstalling the kernel files from the 
linux-0.99.13.tar.gz creates a complete clean linux tree.

Thanks to everybody who helped me (I've got quiet a few [same] replies).
Gratien
--
  ______                Gratien D'haese    Switching Systems Division  se121
  \    / Alcatel                          F. Wellesplein 1, B-2018 Antwerpen
   \  /   Bell          Internet: gdha@se.alcbel.be    Phone: (32) 3 240 94 51
    \/ Telephone        Alcanet:  btmx.dhaeseg         Fax:   (32) 3 240 99 50

------------------------------

From: will@linus (Michael Will)
Crossposted-To: comp.os.linux.development,comp.os.linux
Subject: Re: CFC/CFI: XSysadmin
Date: 7 Oct 1993 15:30:04 GMT
Reply-To: will@peanuts.informatik.uni-tuebingen.de

Michael A. Irons (mirons@icarus.ci.net) wrote:

:       I have been thinking about just this thing. I would use OB/OI
: as it seems fairly easy to use and it would be good to show some
: support for the product. 
Exactly my intent - besides creating a nice tool and lerning a lot
about ObjectorientedProgramming(tm).

:       Each of the sections could be written and then merged into a
: main utility. If it's designed carfully, if should be extendable as
: well. As for the compile time stuff. Once the gui is set, it could be
: compiled into a *.o files and then linked with the code for
: maintaining the files.

Yes, but there is still one major problem. We have to separate the
functionality from the user-interface, because we cannot use X alone.
To many users do not use X because of lack of memory - these are most
likely to be happy to use such a tool like we want to write.

I think we have to provide a curses-interface as well - how this can
be done we should discuss.

My thinking is like: use virtual-functions (late binding) to have the objects
communicate with the user with the apropriate methods for the selected
user-interface. 

ParcPlace have done this with Motif/Openlook - why
should we not add a curses-layer?

But we have to avoid blowing up our task to unsolvable complexity, this
is what makes me uneasy :)

:       I think it would be good to have it very flexable. For
: example, with UUCP automatically figuring out which type of config
: files you are using and offering a conversion option to one of the
: others. That way the user is offered a list of systems, they pick a
: system (or add a new one) and get options to either clear/delete it,
: or edit it's 'capabilities'.
Yes, this is what I wanted to do with the usermaintanement-stuff which
should use shadow-passwd-files and add the gui-fields if shadow is
detected - but as well work without and not bother about shadow-features.


Maybe we should create a mail-channel for this topic? If enough users
and developers are interested...

Please let me know...

Cheers, Michael Will

------------------------------


** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: Linux-Admin-Request@NEWS-DIGESTS.MIT.EDU

You can send mail to the entire list (and comp.os.linux.admin) via:

    Internet: Linux-Admin@NEWS-DIGESTS.MIT.EDU

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Admin Digest
******************************
